Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignVariable

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseVariable
          net.sf.jasperreports.engine.design.JRDesignVariable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRVariable

    public class JRDesignVariable

extends JRBaseVariable
implements JRChangeEventsSupport

Version:
  $Id: JRDesignVariable.java 3510 2010-03-05 10:38:28Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_CALCULATION`
`static java.lang.String` | `PROPERTY_EXPRESSION`
`static java.lang.String` | `PROPERTY_INCREMENT_GROUP`
`static java.lang.String` | `PROPERTY_INCREMENT_TYPE`
`static java.lang.String` | `PROPERTY_INCREMENTER_FACTORY_CLASS_NAME`
`static java.lang.String` | `PROPERTY_INITIAL_VALUE_EXPRESSION`
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_RESET_GROUP`
`static java.lang.String` | `PROPERTY_RESET_TYPE`
`static java.lang.String` | `PROPERTY_SYSTEM_DEFINED`
`static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseVariable
`calculationValue, expression, incrementerFactoryClass, incrementerFactoryClassName, incrementerFactoryClassRealName, incrementGroup, incrementTypeValue, initialValueExpression, isSystemDefined, name, resetGroup, resetTypeValue, valueClass, valueClassName, valueClassRealName`

Fields inherited from interface net.sf.jasperreports.engine.JRVariable
`CALCULATION_AVERAGE, CALCULATION_COUNT, CALCULATION_DISTINCT_COUNT, CALCULATION_FIRST, CALCULATION_HIGHEST, CALCULATION_LOWEST, CALCULATION_NOTHING, CALCULATION_STANDARD_DEVIATION, CALCULATION_SUM, CALCULATION_SYSTEM, CALCULATION_VARIANCE, COLUMN_COUNT, COLUMN_NUMBER, PAGE_COUNT, PAGE_NUMBER, REPORT_COUNT, RESET_TYPE_COLUMN, RESET_TYPE_GROUP, RESET_TYPE_NONE, RESET_TYPE_PAGE, RESET_TYPE_REPORT`

Constructor Summary
`JRDesignVariable()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setCalculation(byte calculation)` Deprecated. Replaced by `setCalculation(CalculationEnum)`
`void` | `setCalculation(CalculationEnum calculationValue)`
`void` | `setExpression(JRExpression expression)`
`void` | `setIncrementerFactoryClass(java.lang.Class clazz)`
`void` | `setIncrementerFactoryClassName(java.lang.String className)`
`void` | `setIncrementGroup(JRGroup group)`
`void` | `setIncrementType(byte incrementType)` Deprecated. Replaced by `setIncrementType(IncrementTypeEnum)`
`void` | `setIncrementType(IncrementTypeEnum incrementTypeValue)`
`void` | `setInitialValueExpression(JRExpression expression)`
`void` | `setName(java.lang.String name)`
`void` | `setResetGroup(JRGroup group)`
`void` | `setResetType(byte resetType)` Deprecated. Replaced by `setResetType(ResetTypeEnum)`
`void` | `setResetType(ResetTypeEnum resetTypeValue)`
`void` | `setSystemDefined(boolean isSystemDefined)`
`void` | `setValueClass(java.lang.Class clazz)`
`void` | `setValueClassName(java.lang.String className)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseVariable
`clone, getCalculation, getCalculationValue, getExpression, getIncrementerFactoryClass, getIncrementerFactoryClassName, getIncrementGroup, getIncrementType, getIncrementTypeValue, getInitialValueExpression, getName, getResetGroup, getResetType, getResetTypeValue, getValueClass, getValueClassName, isSystemDefined`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CALCULATION

    public static final java.lang.String PROPERTY_CALCULATION

See Also:
  Constant Field Values

### PROPERTY_EXPRESSION

    public static final java.lang.String PROPERTY_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

    public static final java.lang.String PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### PROPERTY_INCREMENT_GROUP

    public static final java.lang.String PROPERTY_INCREMENT_GROUP

See Also:
  Constant Field Values

### PROPERTY_INCREMENT_TYPE

    public static final java.lang.String PROPERTY_INCREMENT_TYPE

See Also:
  Constant Field Values

### PROPERTY_INITIAL_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_INITIAL_VALUE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_RESET_GROUP

    public static final java.lang.String PROPERTY_RESET_GROUP

See Also:
  Constant Field Values

### PROPERTY_RESET_TYPE

    public static final java.lang.String PROPERTY_RESET_TYPE

See Also:
  Constant Field Values

### PROPERTY_SYSTEM_DEFINED

    public static final java.lang.String PROPERTY_SYSTEM_DEFINED

See Also:
  Constant Field Values

### PROPERTY_VALUE_CLASS_NAME

    public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

See Also:
  Constant Field Values

Constructor Detail

### JRDesignVariable

    public JRDesignVariable()

Method Detail

### setName

    public void setName(java.lang.String name)

### setValueClass

    public void setValueClass(java.lang.Class clazz)

### setValueClassName

    public void setValueClassName(java.lang.String className)

### setIncrementerFactoryClass

    public void setIncrementerFactoryClass(java.lang.Class clazz)

### setIncrementerFactoryClassName

    public void setIncrementerFactoryClassName(java.lang.String className)

### setResetType

    public void setResetType(byte resetType)

  Deprecated. Replaced by `setResetType(ResetTypeEnum)`

### setResetType

    public void setResetType(ResetTypeEnum resetTypeValue)

### setIncrementType

    public void setIncrementType(byte incrementType)

  Deprecated. Replaced by `setIncrementType(IncrementTypeEnum)`

### setIncrementType

    public void setIncrementType(IncrementTypeEnum incrementTypeValue)

### setCalculation

    public void setCalculation(byte calculation)

  Deprecated. Replaced by `setCalculation(CalculationEnum)`

### setCalculation

    public void setCalculation(CalculationEnum calculationValue)

### setSystemDefined

    public void setSystemDefined(boolean isSystemDefined)

### setExpression

    public void setExpression(JRExpression expression)

### setInitialValueExpression

    public void setInitialValueExpression(JRExpression expression)

### setResetGroup

    public void setResetGroup(JRGroup group)

### setIncrementGroup

    public void setIncrementGroup(JRGroup group)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com